{ lib, config, ... }:

let
  cfg = config.crans.homeNounou;

  inherit (lib) mkEnableOption mkIf;
in

{
  options.crans.homeNounou = {
    enable = mkEnableOption "Monter /home_nounou.";
  };

  config = mkIf cfg.enable {
    fileSystems.home_nounou = {
      mountPoint = "/home_nounou";
      device = "172.16.10.1:/pool/home";
      fsType = "nfs";
      options = [
        "rw"
        "nosuid"
      ];
    };
  };
}
